Package org.eclipse.equinox.plurl.impl

# Class PlurlImpl.PlurlContentHandlerFactory

java.lang.Object
org.eclipse.equinox.plurl.impl.PlurlImpl.PlurlContentHandlerFactory

All Implemented Interfaces:
  `ContentHandlerFactory`, `PlurlImpl.LegacyFactory`

Enclosing class:
  `PlurlImpl`

public class PlurlImpl.PlurlContentHandlerFactory extends Object implements ContentHandlerFactory, PlurlImpl.LegacyFactory

## Constructor Summary

Constructors
Constructor
Description
`PlurlContentHandlerFactory(ContentHandlerFactory parent)`

## Method Summary

Modifier and Type
Method
Description
`ContentHandler`
`createContentHandler(String mimetype)`
`boolean`
`isMultiplexing()`
`void`
`register(Object factory)`
`void`
`unregister(Object factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlurlContentHandlerFactory

public PlurlContentHandlerFactory(ContentHandlerFactory parent)

## Method Details

### createContentHandler

public ContentHandler createContentHandler(String mimetype)

Specified by:
  `createContentHandler` in interface `ContentHandlerFactory`

### register

public void register(Object factory)

Specified by:
  `register` in interface `PlurlImpl.LegacyFactory`

### unregister

public void unregister(Object factory)

Specified by:
  `unregister` in interface `PlurlImpl.LegacyFactory`

### isMultiplexing

public boolean isMultiplexing()

Specified by:
  `isMultiplexing` in interface `PlurlImpl.LegacyFactory`